memusagestat(1)

NOM
memusagestat - Créer un graphique des données de profilage de mémoire

SYNOPSIS
memusagestat [option ...] datafile [outfile]

DESCRIPTION
memusagestat crée un fichier PNG fournissant une représentation graphique des données de profilage de mémoire du fichier fichier_données. Ce fichier est créé à l'aide de l'option -d (ou --data) de memusage(1).

La ligne rouge du graphique montre l'utilisation du tas (mémoire allouée) et la ligne verte montre l'utilisation de la pile. L'échelle de l'axe X est soit le nombre des appels de fonction manipulant la mémoire ou (si l'option -t est spécifiée) le temps.

OPTIONS

-o file
--output=fichier
    Nom du fichier de sortie.

-s string
--string=chaîne
    Utiliser chaîne comme titre du graphique de sortie.

-t
--time
    Utiliser le temps (plutôt que le nombre d'appels de fonction) comme échelle de l'axe X.

-T
--total
    Créer aussi un graphique de l'usage total de la mémoire.

-x size
--x-size=taille
    Créer un graphique de sortie d'une largeur de taille pixels.

-y size
--y-size=taille
    Créer un graphique de sortie d'une hauteur de taille pixels.

-?
--help
    Afficher un message d'aide puis quitter.

--usage
    Afficher une brève description sur l'utilisation et quitter.

-V
--version
    Afficher les informations de version, puis quitter.

BOGUES
Pour signaler des bogues, voir http://www.gnu.org/software/libc/bugs.html

EXEMPLES
Voir memusage(1).

VOIR AUSSI
memusage(1), mtrace(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.